Bug 243651 - kudzu fails to cope with quoted parameters in ifcfg files
kudzu fails to cope with quoted parameters in ifcfg files
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kudzu (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
Blocks: 243653
  Show dependency treegraph
Reported: 2007-06-11 05:07 EDT by Martin Poole
Modified: 2014-03-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-09 15:38:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to handle quoted parameters (1019 bytes, patch)
2007-06-11 05:07 EDT, Martin Poole
no flags Details | Diff

  None (edit)
Description Martin Poole 2007-06-11 05:07:47 EDT
Description of problem:

kudzu fails to cope with quoted parameters in ifcfg files

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. edit ifcfg-* files and quote DEVICE/HWADDR lines
2. run kudzu
Actual results:

kudzu does not match devices and regenerates files

Expected results:

copes with quoted parameters and uses existing files

Additional info:
Comment 1 Martin Poole 2007-06-11 05:07:49 EDT
Created attachment 156685 [details]
patch to handle quoted parameters
Comment 2 Bill Nottingham 2007-06-11 12:58:59 EDT
Seems reasonable. Is there some tool doing this, or is it just admin error?
Comment 4 Issue Tracker 2007-06-14 11:48:30 EDT
----- Additional Comments From jon.thomas@us.ibm.com (prefers email at
jrthomas@btv.ibm.com)  2007-06-14 11:32 EDT -------

Looks like Kudzu went thru some some changes between rhel4 and 5 specific
s390 and the functionality of using quotes in the ifcfg-* files was lost.
functionality seems to be present in rhel5 for other platforms.

Please let us know how you want to proceed. 

This event sent from IssueTracker by jkachuck 
 issue 122098
Comment 5 Bill Nottingham 2007-06-14 12:56:22 EDT
There's nothing specific that would change s390 behavior here - it would be just
as broken (or non-broken) as anything else.
Comment 7 RHEL Product and Program Management 2007-11-28 23:19:24 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 8 Bill Nottingham 2008-01-09 15:26:45 EST
kudzu change built as
Comment 9 Bill Nottingham 2008-01-09 15:38:11 EST
Actually, re-reading the IBM comments:

- We don't want to dequote device - quotes in the device name is legal (if odd).
- HWADDR isn't what's causing their issue here

Ergo, I don't see any kudzu changes for RHEL 4 that would apply here.
Comment 10 Don Domingo 2008-04-01 22:12:20 EDT
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.


Note You need to log in before you can comment on or make changes to this bug.